namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IPersonContainer
{

    // ...

    List<long> TestStatic_GetPersonKeys(IEnumerable<Models.PersonContainer> personContainers) =>
      GetPersonKeys(personContainers);
    static List<long> GetPersonKeys(IEnumerable<Models.PersonContainer> personContainers) =>
      PersonContainer.GetPersonKeys(personContainers);

    List<Models.PersonContainer> TestStatic_GetPersonContainers(Properties.IStorage storage, string personBirthdayFormat, char[] personCharacters, string facesFileNameExtension) =>
        GetPersonContainers(storage, personBirthdayFormat, personCharacters, facesFileNameExtension);
    static List<Models.PersonContainer> GetPersonContainers(Properties.IStorage storage, string personBirthdayFormat, char[] personCharacters, string facesFileNameExtension) =>
        PersonContainer.GetPersonContainers(storage, personBirthdayFormat, personCharacters, facesFileNameExtension);

    string? TestStatic_VerifyAge(char numberSign, string personDisplayDirectory, string? minusOne, string personDisplayDirectoryName, int? approximateYears, List<(string PersonKeyFormatted, Models.PersonBirthday PersonBirthday)> collection) =>
        VerifyAge(numberSign, personDisplayDirectory, minusOne, personDisplayDirectoryName, approximateYears, collection);
    static string? VerifyAge(char numberSign, string personDisplayDirectory, string? minusOne, string personDisplayDirectoryName, int? approximateYears, List<(string PersonKeyFormatted, Models.PersonBirthday PersonBirthday)> collection) =>
        PersonContainer.VerifyAge(numberSign, personDisplayDirectory, minusOne, personDisplayDirectoryName, approximateYears, collection);

}